/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "CAM-PDU-Descriptions"
 * 	found in "CAM.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_RSUContainerHighFrequency_H_
#define	_RSUContainerHighFrequency_H_


#include <asn_application.h>

/* Including external dependencies */
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Forward declarations */
struct ProtectedCommunicationZonesRSU;

/* RSUContainerHighFrequency */
typedef struct RSUContainerHighFrequency {
	struct ProtectedCommunicationZonesRSU	*protectedCommunicationZonesRSU	/* OPTIONAL */;
	/*
	 * This type is extensible,
	 * possible extensions are below.
	 */
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} RSUContainerHighFrequency_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_RSUContainerHighFrequency;

#ifdef __cplusplus
}
#endif

/* Referred external types */
#include "ProtectedCommunicationZonesRSU.h"

#endif	/* _RSUContainerHighFrequency_H_ */
#include <asn_internal.h>
